Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.m2m.qvt.oml.debug.core
Class QVTODebugUtil

    java.lang.Object
      org.eclipse.m2m.qvt.oml.debug.core.QVTODebugUtil

    public class QVTODebugUtil

extends java.lang.Object

Method Summary
`static void` | `attachEnvironment(org.eclipse.m2m.internal.qvt.oml.compiler.CompiledUnit unit)`
`static IStatus` | `createDebugError(java.lang.String message)`
`static IStatus` | `createDebugError(java.lang.String message, java.lang.Throwable throwable)`
`static org.eclipse.m2m.internal.qvt.oml.ast.env.QvtOperationalModuleEnv` | `getEnvironment(Module module)`
`static URI` | `getResourceURI(IResource resource)`
`static void` | `refreshInWorkspace(java.util.List<URI> uris)`
`static IFile` | `toFile(URI uri)`
`static java.util.List<IFile>` | `toFiles(URI uri)`
`static URI` | `toFileURI(java.lang.String uriStr)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getResourceURI

    public static URI getResourceURI(IResource resource)

### toFile

    public static IFile toFile(URI uri)

### toFiles

    public static java.util.List<IFile> toFiles(URI uri)

### refreshInWorkspace

    public static void refreshInWorkspace(java.util.List<URI> uris)

### toFileURI

    public static URI toFileURI(java.lang.String uriStr)

### createDebugError

    public static IStatus createDebugError(java.lang.String message,
                                           java.lang.Throwable throwable)

### createDebugError

    public static IStatus createDebugError(java.lang.String message)

### getEnvironment

    public static org.eclipse.m2m.internal.qvt.oml.ast.env.QvtOperationalModuleEnv getEnvironment(Module module)

### attachEnvironment

    public static void attachEnvironment(org.eclipse.m2m.internal.qvt.oml.compiler.CompiledUnit unit)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright 2008 Borland Software Corporation and others. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD